UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMHFXReceiver Class Reference

## Public Member Functions
LBMConfigOption[] | dumpAttributeList ()
int | setAttributeValue (String attributeName, String attributeValue)
String | getAttributeValue (String attributeName)
LBMReceiverStatistics | getStatistics (String source) throws LBMException
LBMReceiverStatistics | getStatistics (int maxStats) throws LBMException
void | close ()
void | close (LBMOperationCompleteCallback cb, Object cbArg)

## Member Function Documentation

void com.latencybusters.lbm.LBMHFXReceiver.close | ( |  | ) |

Close this receiver. Warning: It is not safe to call this method from a context thread callback.

void com.latencybusters.lbm.LBMHFXReceiver.close | ( | LBMOperationCompleteCallback | cb,
|  | Object | cbArg
| ) |  |

Close this receiver. Warning: It is not safe to call this method from a context thread callback.

Parameters

  cb | Callback to be invoked when the close operation is complete.
  cbArg | Token to be delivered with the callback.

LBMConfigOption [] com.latencybusters.lbm.LBMHFXReceiver.dumpAttributeList | ( |  | ) |

Returns an array of LBMConfigOptions

Returns
  Array of LBMConfigOption

String com.latencybusters.lbm.LBMHFXReceiver.getAttributeValue | ( | String | attributeName | ) |

Returns the value of a receiver-related attribute for this receiver.

Parameters

  attributeName | Name of the attribute to retrieve

Returns
  Value corresponding to the specified attribute name

Exceptions

  LBMException | if `attributeName` is not a valid attribute.

LBMReceiverStatistics com.latencybusters.lbm.LBMHFXReceiver.getStatistics | ( | String | source | ) | throws LBMException

Return the current set of receiver transport statistics for a particular source.

Parameters

  source | Source string (as returned by LBMMesage source()) that specifies the set of statistics to return.

Returns
  LBMReceiverStatistics object containing the statistics corresponding to the specified source.

Exceptions

  LBMException | if any error occurred retrieving receiver statistics.

References com.latencybusters.lbm.LBMReceiverStatistics.refresh(), and com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveReceiverStatistics().

LBMReceiverStatistics com.latencybusters.lbm.LBMHFXReceiver.getStatistics | ( | int | maxStats | ) | throws LBMException

Return the current set of receiver transport statistics for all sources.

Parameters

  maxStats | Maximum number of sources

Returns
  LBMReceiverStatistics object containing the statistics corresponding to the specified number of sources

Exceptions

  LBMException | if any error occurred retrieving receiver statistics.

References com.latencybusters.lbm.LBMReceiverStatistics.refresh(), and com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveReceiverStatistics().

int com.latencybusters.lbm.LBMHFXReceiver.setAttributeValue | ( | String | attributeName,
|  | String | attributeValue
| ) |  |

Set the value of a receiver-related attribute for this receiver.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  LBMException | if `attributeName` is not a valid attribute, or `attributeValue` is not a valid value for `attributeName`.

The documentation for this class was generated from the following file:

- LBMHFXReceiver.java